Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
curve25519.cpp File Reference
`#include <botan/curve25519.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/ber_dec.h>`
`#include <botan/der_enc.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::curve25519_basepoint (uint8_t mypublic[32], const uint8_t secret[32])

## Variable Documentation

const Curve25519_PrivateKey& m_key

Definition at line 130 of file curve25519.cpp.